Skip to main content
POST
/
v1
/
addresses
/
{addressId}
/
transfer
Create address transfer quote
curl --request POST \
  --url https://api.xentfi.com/v1/addresses/{addressId}/transfer \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "assets": [
    {
      "assetId": "69d851b9-c358-4359-becd-3e614ca1ab4d",
      "recipient": "0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5",
      "amount": "0.001"
    }
  ]
}
'
{
  "quoteHash": "ASNFZ4mrze8gMkFGaW5hbGx5IHRoZSBkYXRhIGlzIGZ1bGx5IGVuY3J5cHRlZCBhbmQgY2Fubm90IGJlIHJlYWQgd2l0aG91dCB0aGUga2V5",
  "amount": "1.5",
  "value": "1500.00",
  "gasFee": "0.00021",
  "gasPrice": "284887648",
  "gasUsed": "35000",
  "fee": "0.01",
  "asset": {
    "id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
    "name": "Euro Coin",
    "symbol": "EURC",
    "decimals": 6,
    "address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
    "standard": "ERC20",
    "logoUrl": "https://example.com/eurc-logo.png",
    "isActive": true,
    "network": "mainnet",
    "isNative": false,
    "configurations": null,
    "blockchain": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "symbol": "<string>",
      "isActive": true,
      "isEvmCompatible": true,
      "chainId": 123,
      "logoUrl": "<string>",
      "tokenStandard": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
    "createdAt": "2026-02-26T15:10:53.032Z",
    "updatedAt": "2026-02-26T15:10:53.032Z"
  },
  "blockchain": {
    "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
    "name": "Base",
    "slug": "base-mainnet",
    "symbol": "ETH",
    "isActive": true,
    "isEvmCompatible": true,
    "configurations": null,
    "chainId": 8453,
    "logoUrl": "https://example.com/base-logo.png",
    "tokenStandard": "ERC20",
    "createdAt": "2023-04-28T14:44:06.397Z",
    "updatedAt": "2024-11-26T15:26:18.785Z"
  },
  "destinationAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5",
  "senderAddress": "0x123d35Cc6634C0532925a3b844Bc9e7595f0b5b5"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

addressId
string
required

Body

application/json
assets
object[]
required
feeAssetId
string

ID of the asset to use for gas fees (optional)

Response

Transfer quote created

quoteHash
string

Encrypted hash of the quote for execution

Example:

"ASNFZ4mrze8gMkFGaW5hbGx5IHRoZSBkYXRhIGlzIGZ1bGx5IGVuY3J5cHRlZCBhbmQgY2Fubm90IGJlIHJlYWQgd2l0aG91dCB0aGUga2V5"

amount
string

Amount being transferred in human-readable format

Example:

"1.5"

value
string

USD value of the transfer amount

Example:

"1500.00"

gasFee
string

Estimated gas fee in native token

Example:

"0.00021"

gasPrice
string

Current gas price in wei/gwei

Example:

"284887648"

gasUsed
string

Estimated gas to be used

Example:

"35000"

fee
string

Service fee charged for the transfer

Example:

"0.01"

asset
object

Asset being transferred

blockchain
object

Blockchain information for the transfer

destinationAddress
string

Recipient wallet address

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5"

senderAddress
string

Sender wallet address

Example:

"0x123d35Cc6634C0532925a3b844Bc9e7595f0b5b5"